<?php
	if (!isset($_SESSION['nazwa'])) {
		header('Location: login.php');
		exit();
	}
	$id = $_SESSION['id'];
	$nazwa = $_SESSION['nazwa'];
	date_default_timezone_set('Europe/Warsaw');
		$godz=date("H:i:s");
		$data=date("Y-m-d");

	require_once('wiras_php/wa_baza/wa_polacz.php');	
	$zapytanie = "SELECT kol_fonttytul1, kol_fontwpis1,kol_tlowpis1, kol_ramkawpis1, kol_fontkomentarz1,
	kol_tlokomentarz1, kol_ramkakomentarz1, kol_fonttytul2, kol_fontwpis2, kol_tlowpis2, kol_ramkawpis2,
	kol_fontkomentarz2, kol_tlokomentarz2, kol_ramkakomentarz2, kol_tloblog
	FROM blog_setup WHERE id_user=$id";
	if ($pobierz = mysqli_query($db, $zapytanie)) {
		$lr = $pobierz->num_rows;
		if ($lr>0) {
			$wiersz = $pobierz->fetch_assoc();
			$tkol[0] = $wiersz['kol_fonttytul1'];
			$tkol[1] = $wiersz['kol_fontwpis1'];
			$tkol[2] = $wiersz['kol_tlowpis1'];
			$tkol[3] = $wiersz['kol_ramkawpis1'];
			$tkol[4] = $wiersz['kol_fontkomentarz1'];
			$tkol[5] = $wiersz['kol_tlokomentarz1'];
			$tkol[6] = $wiersz['kol_ramkakomentarz1'];
			$tkol[7] = $wiersz['kol_fonttytul2'];
			$tkol[8] = $wiersz['kol_fontwpis2'];
			$tkol[9] = $wiersz['kol_tlowpis2'];
			$tkol[10] = $wiersz['kol_ramkawpis2'];
			$tkol[11] = $wiersz['kol_fontkomentarz2'];
			$tkol[12] = $wiersz['kol_tlokomentarz2'];
			$tkol[13] = $wiersz['kol_ramkakomentarz2'];
			$tkol[14] = $wiersz['kol_tloblog'];
		}
	}
		
	$kom='';
	if (isset($_POST['zapis'])) {
		$w1 = $_POST['tytul'];
		$w2 = $_POST['tresc'];
		if (($w1=='') || ($w2=='')) {
			$kom='Musisz wypełnić pola tytuł oraz treść wpisu...';
		}	else {
			$tytul = strip_tags($_POST['tytul']);
			$komentarz = $_POST['tresc'];
			$zapytanie = "INSERT INTO blog_wpis (id_user, tytul, tresc, data_wpisu)
						VALUES ($id, '$tytul', '$komentarz', NOW())";
			//Dodaj wpis		
			$wykonaj = mysqli_query($db, $zapytanie);		
		}
	} else {
		$w1 = '';
		$w2 = '';
	}
	echo '<div id="blog_content">';
	echo '<p id="panel_wpis_tytul">Panel dodawania wpisu</p>';
	echo '<form id="formularz2" action="index.php?m=2" method="post" >';
	echo '<p id="lab2">Wpisz tytuł wpisu</p>';
	echo '<input type="text" name="tytul" id="tytul" value="'.$w1.'">';
	echo '<p id="lab3">Wpisz treść wpisu</p>';
	echo '<textarea id="tresc" name="tresc" rows="11" cols="75" wrap="soft">'.$w2;
	echo '</textarea><br />';
	echo '<input type="submit" value="Zapisz wpis" name="zapis" id="button_menu3" />';
	echo '<p id="panel_wpis_kom">'.$kom.'</p></form>';
	
	$k=0;
	if ($handle = opendir('img/emoty/')) {
		while (false !== ($entry = readdir($handle))) {
			if ($entry != "." && $entry != "..") {
				$tabg[$k] = $entry;
				$k++;
			}
		}
		closedir($handle);
	}
	
	$lp = count($tabg);
	$ik = '<img src="img/emoty/';
	
?>
		<div id="emoty_napis">	
			<input type="button" value="Em-1" id="embut1">
			<input type="button" value="Em-2" id="embut2">
			<input type="button" value="Em-3" id="embut3">
			<input type="button" value="Em-4" id="embut4">
			</div>
		<div id="emoty_tlo">

			<div id="emoty_p1">
			<?php
				for ($i=0; $i<83; $i++) {
					$f = $tabg[$i];
					$np = substr($f,0,strlen($f)-4);
					echo '<img src="img/emoty/'.$f.'" title="'.$np.'" class="emot" id="'.$np.'" style="border: none">';
				}
			?>
			</div>
			<div id="emoty_p2">
				<?php
					for ($i=83; $i<158; $i++) {
						$f = $tabg[$i];
						$np = substr($f,0,strlen($f)-4);
						echo '<img src="img/emoty/'.$f.'" title="'.$f.'" class="emot" id="'.$np.'" style="border: none">';
					}
				?>
			</div>
			<div id="emoty_p3">
				<?php
					for ($i=158; $i<223; $i++) {
						$f = $tabg[$i];
						$np = substr($f,0,strlen($f)-4);
						echo '<img src="img/emoty/'.$f.'" title="'.$f.'" class="emot" id="'.$np.'" style="border: none">';
					}
				?>
			</div>
			<div id="emoty_p4">
				<?php
					for ($i=223; $i<300; $i++) {
						$f = $tabg[$i];
						$np = substr($f,0,strlen($f)-4);
						echo '<img src="img/emoty/'.$f.'" title="'.$f.'" class="emot" id="'.$np.'" style="border: none">';
					}
				?>
			</div>
		</div>
		<div id="wpis_wyglad">
<?php
		$l=0;
		for ($i=0; $i<2; $i++) {
			for ($k=0; $k<7; $k++) {
				$kol[$i][$k] = $tkol[$l];
				$l++;
			}
		}	
			
			$k=0;
			echo '<div id="dblog_wpis_u" style="background-color: '.$kol[$k][2].'; border-color: '.$kol[$k][3].';">';	
				echo '<div id="dwpis_info">';
					echo $nazwa.'&nbsp;&nbsp;&nbsp;&nbsp;'.$data.' '.$godz;
				echo '</div>';
				echo '<div id="dwpis_tytul_u" style="color: '.$kol[$k][0].'">';	
					echo 'Tytuł...';
				echo '</div>';
				echo '<div id="dwpis_tresc" style="color: '.$kol[$k][1].'">';
					echo 'Wpis...';
				echo '</div>';
			echo '</div>';	
?>
			
			</div>
		</div>

<script type="text/javascript">
	$(document).ready(function(){

		$('.emot').click (function() {
			var id = $(this).attr('id');	
			var em = '<img src="img/emoty/' + id + '.gif">';
			insertAtCaret('tresc', em);
			var tekst = $('#tresc').val();
			$('#tekstw1').html(tekst);
			$("#dwpis_tresc").html(tekst);
		});
	
		//-----------------------------------
		function insertAtCaret(areaId, text) {
		var txtarea = document.getElementById(areaId);
		if (!txtarea) { return; }

		var scrollPos = txtarea.scrollTop;
		var strPos = 0;
		var br = ((txtarea.selectionStart || txtarea.selectionStart == '0') ?
			"ff" : (document.selection ? "ie" : false ) );
		if (br == "ie") {
			txtarea.focus();
			var range = document.selection.createRange();
			range.moveStart ('character', -txtarea.value.length);
			strPos = range.text.length;
		} else if (br == "ff") {
			strPos = txtarea.selectionStart;
		}

		var front = (txtarea.value).substring(0, strPos);
		var back = (txtarea.value).substring(strPos, txtarea.value.length);
		txtarea.value = front + text + back;
		strPos = strPos + text.length;
		if (br == "ie") {
			txtarea.focus();
			var ieRange = document.selection.createRange();
			ieRange.moveStart ('character', -txtarea.value.length);
			ieRange.moveStart ('character', strPos);
			ieRange.moveEnd ('character', 0);
			ieRange.select();
		} else if (br == "ff") {
			txtarea.selectionStart = strPos;
			txtarea.selectionEnd = strPos;
			txtarea.focus();
		}

		txtarea.scrollTop = scrollPos;
	}
	//--------------------------------------
		
		
		
		$('#tresc').keyup(function() {
			var t = $('#tresc').val().replace(/\n/g, '<br/>');
			$("#dwpis_tresc").html(t);
			$('#tresc').focus();
		});
		
		$('#tytul').keyup(function() {
			var t = $('#tytul').val();
			$('#dwpis_tytul_u').html(t);
			$('#tytul').focus();
		});
		
		$('#embut1').click (function() {
			$('#emoty_p2').slideUp('1500');
			$('#emoty_p3').slideUp('1500');
			$('#emoty_p4').slideUp('1500');
			$('#emoty_p1').slideDown('slow');
		});
		
		$('#embut2').click (function() {
			$('#emoty_p1').slideUp('1500');
			$('#emoty_p3').slideUp('1500');
			$('#emoty_p4').slideUp('1500');
			$('#emoty_p2').slideDown('slow');
		});
		
		$('#embut3').click (function() {
			$('#emoty_p1').slideUp('1500');
			$('#emoty_p2').slideUp('1500');
			$('#emoty_p4').slideUp('1500');
			$('#emoty_p3').slideDown('slow');
		});
		
		$('#embut4').click (function() {
			$('#emoty_p1').slideUp('1500');
			$('#emoty_p2').slideUp('1500');
			$('#emoty_p3').slideUp('1500');
			$('#emoty_p4').slideDown('slow');
		});

	});
</script>
	
